PO4A-UPDATEPO(1p)

NOME
po4a-updatepo - atualiza a tradução (no formato PO) da documentação

SINOPSE
po4a-updatepo -f fmt (-m mestre.doc)+ (-p XX.po)+

(XX.po são as saídas, todos os outros são entradas)

DESCRIÇÃO
A missão do projeto po4a (em inglês, PO for anything) é facilitar as traduções (e o mais interessante, a manutenção de traduções) usando ferramentas de gettext em áreas onde elas não eram esperadas, como documentação.

O script po4a-updatepo está encarregado da atualização de arquivos PO para que eles reflitam as alterações feitas no arquivo original de documentação. Para isso, ele converte o arquivo de documentação para um arquivo POT e chama msgmerge(1) neste novo POT e nos arquivos PO fornecidos.

É possível informar mais do que um arquivo PO (se você quer atualizar vários idiomas de uma só vez) e vários arquivos de documentação (se você quiser armazenar as traduções de vários documentos no mesmo arquivo PO).

Se a documentação mestre possui caracteres não-ASCII, ele vai converter os arquivos PO para UTF-8 (se eles não já estão), para permitir caracteres fora do padrão em uma forma independente da cultura.

OPÇÕES

-f, --format
    Formato da documentação que você quer manipular. Use a opção --help-format para ver a lista de formatos disponíveis.

-m, --master
    Arquivo(s) contendo o documento mestre para traduzir.

-M, --master-charset
    Conjunto de caracteres dos arquivos contendo o documento para traduzir. Note que todos os arquivos devem possuir o mesmo conjunto de caracteres.

-p, --po
    Arquivo(s) PO para atualizar. Se esses arquivos não existirem, eles serão criados pelo po4a-updatepo.

-o, --option
    Opções extras para passar para o plug-in de formato e outro módulo interno do po4a. Especifique cada opção no formato 'nome=valor'. Veja a documentação de cada plug-in para mais informações sobre as opções válidas e seus significados.

--no-previous
    Essa opção remove --previous das opções passadas ao msgmerge. Isso permite Isso permite o suporte a versões do gettext antes de 0.16.

--previous
    Essa opção adiciona --previous às opções passadas ao msgmerge. Isso requer gettext 0.16 ou posterior, e é ativada por padrão.

--msgmerge-opt opções
    Extra options for msgmerge(1).

-h, --help
    Mostra uma mensagem de ajuda.

--help-format
    Lista os formatos de documentação compreendidos pelo po4a.

-V, --version
    Exibe a versão do script e sai.

-v, --verbose
    Aumenta o nível de detalhamento do programa.

-d, --debug
    Imprime algumas informações de depuração.

--porefs type[,wrap|nowrap]
    Especifica o formato de referência. O argumento tipo pode ser um de: none para não produzir qualquer referência, noline para não especificar o número de linha (mais precisamente, todos os números de linhas são substituídas por 1), counter para substituir um número de linha aumentando o contador e full para incluir referências completas.

    Argumento pode estar seguido por uma vírgula e as palavras-chaves wrap ou nowrap. Referências são escritas por padrão em uma única linha. A opção wrap quebra as referências em várias linhas, para copiar as ferramentas do gettext (xgettext e msgmerge). Essa opção vai se tornar o padrão em um lançamento futuro, mas ela é mais sensível. A opção nowrap está disponível de forma que usuários que desejarem manter o comportamento antigo podem fazê-lo.

--msgid-bugs-address e-mail@endereço
    Define o endereço para relatórios de erros em msgids. Por padrão, os arquivos POT criados possuem nenhum campo Report-Msgid-Bugs-To.

--copyright-holder string
    Define o detentor do copyright no cabeçalho do POT. O valor padrão é "Free Software Foundation, Inc."

--package-name string
    Define o nome do pacote para o cabeçalho do POT. O padrão é "PACKAGE".

--package-version string
    Define a versão do pacote do cabeçalho do POT. O padrão é "VERSION".

VEJA TAMBÉM
po4a-gettextize(1), po4a-normalize(1), po4a-translate(1), po4a(7)

AUTORES
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

COPYRIGHT E LICENÇA
Copyright 2002-2012 por SPI, inc.

Esse programa é um software livre; você pode redistribuí-lo e/ou modificá-lo sob os termos da GPL (veja o arquivo COPYING).